List Pricings - m3ter Documentation
List Pricings
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/pricings \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.m3ter.com/organizations/{orgId}/pricings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/pricings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response
Success (200)
{
"data": [
{
"id": "<string>",
"version": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"planId": "<string>",
"planTemplateId": "<string>",
"cumulative": true,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"code": "<string>",
"description": "<string>",
"accountingProductId": "<string>",
"pricingBands": [
{
"lowerLimit": 1,
"fixedPrice": 123,
"unitPrice": 123,
"id": "<string>",
"creditTypeId": "<string>"
}
],
"aggregationId": "<string>",
"compoundAggregationId": "<string>",
"segment": {},
"tiersSpanPlan": true,
"minimumSpend": 123,
"minimumSpendDescription": "<string>",
"minimumSpendBillInAdvance": true,
"segmentString": "<string>",
"overagePricingBands": [
{
"lowerLimit": 1,
"fixedPrice": 123,
"unitPrice": 123,
"id": "<string>",
"creditTypeId": "<string>"
}
]
}
],
"nextToken": "<string>"
}
Error Responses
Client Errors (4XX)
{
"message": "<string>"
}
Server Errors (5XX)
{
"message": "<string>"
}
Authorizations
Authorization
- Type:
string - Location:
header - Required: Yes
m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.
Path Parameters
orgId(string): UUID of the organization. Represents your company as a direct customer of the m3ter service.
Query Parameters
pageSize(integer): Number of Pricings to retrieve per page. Required range: 1 <= x <= 100.nextToken(string): For multi-page retrievals.date(string): Date/Time (in ISO-8601 format) to retrieve active Pricings for.planId(string): UUID of the Plan to retrieve Pricings for.planTemplateId(string): UUID of the PlanTemplate to retrieve Pricings for.aggregationId(string): UUID of the Aggregation to retrieve Pricings for.ids(string[]): List of Pricing IDs to retrieve.